Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Macros
id.c File Reference

Go to the source code of this file.

## Macros
#define | tDOT2 RUBY_TOKEN(DOT2)
#define | tDOT3 RUBY_TOKEN(DOT3)
#define | tUPLUS RUBY_TOKEN(UPLUS)
#define | tUMINUS RUBY_TOKEN(UMINUS)
#define | tPOW RUBY_TOKEN(POW)
#define | tCMP RUBY_TOKEN(CMP)
#define | tLSHFT RUBY_TOKEN(LSHFT)
#define | tRSHFT RUBY_TOKEN(RSHFT)
#define | tLEQ RUBY_TOKEN(LEQ)
#define | tGEQ RUBY_TOKEN(GEQ)
#define | tEQ RUBY_TOKEN(EQ)
#define | tEQQ RUBY_TOKEN(EQQ)
#define | tNEQ RUBY_TOKEN(NEQ)
#define | tMATCH RUBY_TOKEN(MATCH)
#define | tNMATCH RUBY_TOKEN(NMATCH)
#define | tAREF RUBY_TOKEN(AREF)
#define | tASET RUBY_TOKEN(ASET)
#define | tCOLON2 RUBY_TOKEN(COLON2)
#define | tANDOP RUBY_TOKEN(ANDOP)
#define | tOROP RUBY_TOKEN(OROP)
#define | tANDDOT RUBY_TOKEN(ANDDOT)
#define | rb_intern(str) rb_intern_const(str)

## Macro Definition Documentation

## ◆ rb_intern

#define rb_intern | ( |  | str | ) | rb_intern_const(str)

## ◆ tANDDOT

#define tANDDOT RUBY_TOKEN(ANDDOT)

Definition at line 33 of file id.c.

## ◆ tANDOP

#define tANDOP RUBY_TOKEN(ANDOP)

Definition at line 31 of file id.c.

## ◆ tAREF

#define tAREF RUBY_TOKEN(AREF)

Definition at line 28 of file id.c.

## ◆ tASET

#define tASET RUBY_TOKEN(ASET)

Definition at line 29 of file id.c.

## ◆ tCMP

#define tCMP RUBY_TOKEN(CMP)

Definition at line 18 of file id.c.

## ◆ tCOLON2

#define tCOLON2 RUBY_TOKEN(COLON2)

Definition at line 30 of file id.c.

## ◆ tDOT2

#define tDOT2 RUBY_TOKEN(DOT2)

Definition at line 13 of file id.c.

## ◆ tDOT3

#define tDOT3 RUBY_TOKEN(DOT3)

Definition at line 14 of file id.c.

## ◆ tEQ

#define tEQ RUBY_TOKEN(EQ)

Definition at line 23 of file id.c.

## ◆ tEQQ

#define tEQQ RUBY_TOKEN(EQQ)

Definition at line 24 of file id.c.

## ◆ tGEQ

#define tGEQ RUBY_TOKEN(GEQ)

Definition at line 22 of file id.c.

## ◆ tLEQ

#define tLEQ RUBY_TOKEN(LEQ)

Definition at line 21 of file id.c.

## ◆ tLSHFT

#define tLSHFT RUBY_TOKEN(LSHFT)

Definition at line 19 of file id.c.

## ◆ tMATCH

#define tMATCH RUBY_TOKEN(MATCH)

Definition at line 26 of file id.c.

## ◆ tNEQ

#define tNEQ RUBY_TOKEN(NEQ)

Definition at line 25 of file id.c.

## ◆ tNMATCH

#define tNMATCH RUBY_TOKEN(NMATCH)

Definition at line 27 of file id.c.

## ◆ tOROP

#define tOROP RUBY_TOKEN(OROP)

Definition at line 32 of file id.c.

## ◆ tPOW

#define tPOW RUBY_TOKEN(POW)

Definition at line 17 of file id.c.

## ◆ tRSHFT

#define tRSHFT RUBY_TOKEN(RSHFT)

Definition at line 20 of file id.c.

## ◆ tUMINUS

#define tUMINUS RUBY_TOKEN(UMINUS)

Definition at line 16 of file id.c.

## ◆ tUPLUS

#define tUPLUS RUBY_TOKEN(UPLUS)

Definition at line 15 of file id.c.

## Variable Documentation

## ◆ name

const char name[3]

Definition at line 37 of file id.c.

## ◆ term

const char term

Definition at line 37 of file id.c.

## ◆ token

unsigned short token

Definition at line 36 of file id.c.